import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import { useRef } from "react";
import { PLAYERS } from "../constants";
export const PlaybackOptions = ({ updatePlaybackOptions, currentPlayer, streamUrl, }) => {
    const playerSelectRef = useRef(null);
    const streamUrlInputRef = useRef(null);
    const isHttps = window.location.protocol === "https:";
    const hlsPlayers = {};
    const shakaPlayers = {};
    Object.entries(PLAYERS).forEach(([key, name]) => {
        if (key.includes("hls")) {
            hlsPlayers[key] = name;
        }
        else if (key.includes("shaka")) {
            shakaPlayers[key] = name;
        }
    });
    const handleApply = () => {
        const player = playerSelectRef.current?.value;
        const streamUrl = streamUrlInputRef.current?.value;
        if (player && streamUrl) {
            updatePlaybackOptions(streamUrl, player);
        }
    };
    return (_jsxs("div", { className: "playback-options", children: [_jsxs("div", { className: "option-group", children: [_jsxs("label", { htmlFor: "streamUrl", children: ["Video URL", isHttps ? " (HTTPS only)" : "", ":"] }), _jsx("input", { className: "item", defaultValue: streamUrl, id: "streamUrl", ref: streamUrlInputRef }, streamUrl)] }), _jsxs("div", { className: "option-group", children: [_jsx("label", { htmlFor: "player", children: "Player:" }), _jsxs("select", { className: "item", ref: playerSelectRef, id: "player", defaultValue: String(currentPlayer), children: [_jsx("optgroup", { label: "Hls.js P2P Engine (HLS Only)", children: Object.entries(hlsPlayers).map(([key, name]) => (_jsx("option", { value: key, children: name }, key))) }), Object.keys(shakaPlayers).length > 0 && (_jsx("optgroup", { label: "Shaka Players", children: Object.entries(shakaPlayers).map(([key, name]) => (_jsx("option", { value: key, children: name }, key))) }))] }, String(currentPlayer))] }), _jsxs("div", { className: "button-group", children: [_jsx("button", { type: "button", onClick: handleApply, children: "Apply" }), _jsx("button", { type: "button", onClick: () => {
                            window.open(window.location.href, "_blank");
                        }, children: "Create new peer" })] })] }));
};
//# sourceMappingURL=PlaybackOptions.js.map