import * as d3 from "d3";
export interface Node extends d3.SimulationNodeDatum {
    id: string;
    isMain?: boolean;
    group?: number;
}
export interface Link extends d3.SimulationLinkDatum<Node> {
    source: Node;
    target: Node;
    linkId: string;
}
export declare const updateGraph: (newNodes: Node[], newLinks: Link[], simulation: d3.Simulation<Node, Link> | null, svgElement: SVGSVGElement | null) => void;
export declare const prepareGroups: (svg: SVGElement) => void;
export declare const createSimulation: (width: number, height: number) => d3.Simulation<Node, Link>;
