import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import "@vidstack/react/player/styles/default/theme.css";
import "@vidstack/react/player/styles/default/layouts/video.css";
import { MediaPlayer, MediaProvider, isHLSProvider, } from "@vidstack/react";
import { defaultLayoutIcons, DefaultVideoLayout, } from "@vidstack/react/player/layouts/default";
import { HlsJsP2PEngine } from "p2p-media-loader-hlsjs";
import { subscribeToUiEvents } from "../utils";
import { useCallback } from "react";
import Hls from "hls.js";
export const HlsjsVidstack = ({ streamUrl, announceTrackers, swarmId, onPeerConnect, onPeerClose, onChunkDownloaded, onChunkUploaded, }) => {
    const onProviderChange = useCallback((provider) => {
        if (isHLSProvider(provider)) {
            const HlsWithP2P = HlsJsP2PEngine.injectMixin(Hls);
            provider.library = HlsWithP2P;
            const config = {
                p2p: {
                    core: {
                        announceTrackers,
                        swarmId,
                    },
                    onHlsJsCreated: (hls) => {
                        subscribeToUiEvents({
                            engine: hls.p2pEngine,
                            onPeerConnect,
                            onPeerClose,
                            onChunkDownloaded,
                            onChunkUploaded,
                        });
                    },
                },
            };
            provider.config = config;
        }
    }, [
        announceTrackers,
        onChunkDownloaded,
        onChunkUploaded,
        onPeerConnect,
        onPeerClose,
        swarmId,
    ]);
    return (_jsx("div", { className: "video-container", children: _jsxs(MediaPlayer, { autoPlay: true, muted: true, onProviderChange: onProviderChange, src: streamUrl, playsInline: true, children: [_jsx(MediaProvider, {}), _jsx(DefaultVideoLayout, { icons: defaultLayoutIcons })] }) }));
};
//# sourceMappingURL=HlsjsVidstack.js.map