export const subscribeToUiEvents = ({ engine, onPeerConnect, onPeerClose, onChunkDownloaded, onChunkUploaded, }) => {
    if (onPeerConnect)
        engine.addEventListener("onPeerConnect", onPeerConnect);
    if (onPeerClose) {
        engine.addEventListener("onPeerClose", onPeerClose);
    }
    if (onChunkDownloaded) {
        engine.addEventListener("onChunkDownloaded", onChunkDownloaded);
    }
    if (onChunkUploaded) {
        engine.addEventListener("onChunkUploaded", onChunkUploaded);
    }
};
export const createVideoElements = (options = {}) => {
    const { videoId = "player", videoClassName = "", containerClassName = "video-container", playIsInline = true, autoplay = true, muted = true, aspectRatio = null, } = options;
    const videoContainer = document.createElement("div");
    videoContainer.className = containerClassName;
    const videoElement = document.createElement("video");
    videoElement.className = videoClassName;
    videoElement.id = videoId;
    videoElement.playsInline = playIsInline;
    videoElement.autoplay = autoplay;
    videoElement.muted = muted;
    if (aspectRatio) {
        videoElement.style.aspectRatio = aspectRatio;
    }
    videoContainer.appendChild(videoElement);
    return { videoContainer, videoElement };
};
//# sourceMappingURL=utils.js.map