import { CommonCoreConfig, SegmentStorage, StreamConfig, StreamType } from "p2p-media-loader-core";
export declare class IndexedDbStorage implements SegmentStorage {
    private segmentsMemoryStorageLimit;
    private currentMemoryStorageSize;
    private storageConfig?;
    private mainStreamConfig?;
    private secondaryStreamConfig?;
    private cache;
    private currentPlayback?;
    private lastRequestedSegment?;
    private db;
    private segmentChangeCallback?;
    constructor();
    onPlaybackUpdated(position: number, rate: number): void;
    onSegmentRequested(swarmId: string, streamId: string, segmentId: number, startTime: number, endTime: number, streamType: StreamType, isLiveStream: boolean): void;
    initialize(storageConfig: CommonCoreConfig, mainStreamConfig: StreamConfig, secondaryStreamConfig: StreamConfig): Promise<void>;
    storeSegment(swarmId: string, streamId: string, segmentId: number, data: ArrayBuffer, startTime: number, endTime: number, streamType: StreamType, _isLiveStream: boolean): Promise<void>;
    getSegmentData(_swarmId: string, streamId: string, segmentId: number): Promise<ArrayBuffer | undefined>;
    getUsage(): {
        totalCapacity: number;
        usedCapacity: number;
    };
    hasSegment(_swarmId: string, streamId: string, segmentId: number): boolean;
    getStoredSegmentIds(_swarmId: string, streamId: string): number[];
    destroy(): void;
    setSegmentChangeCallback(callback: (streamId: string) => void): void;
    private loadCacheMap;
    private increaseMemoryStorageSize;
}
