export declare class IndexedDbWrapper {
    private readonly dbName;
    private readonly dbVersion;
    private readonly infoItemsStoreName;
    private readonly dataItemsStoreName;
    private db;
    constructor(dbName: string, dbVersion: number, infoItemsStoreName: string, dataItemsStoreName: string);
    openDatabase(): Promise<void>;
    private createObjectStores;
    getAll<T>(storeName: string): Promise<T[]>;
    put(storeName: string, item: unknown): Promise<void>;
    get<T>(storeName: string, key: IDBValidKey): Promise<T | undefined>;
    delete(storeName: string, key: IDBValidKey): Promise<void>;
    private performTransaction;
    closeDatabase(): void;
    deleteDatabase(): Promise<void>;
}
